Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224779 - Netbean doesn't suggest any errors on derived classes
Netbean doesn't suggest any errors on derived classes
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.3
PC Windows 7 x64
: P3 (vote)
: 8.1
Assigned To: danilasergeyev
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-12 14:31 UTC by harunaga
Modified: 2015-05-30 10:05 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
images (125.52 KB, image/jpeg)
2013-01-12 14:31 UTC, harunaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description harunaga 2013-01-12 14:31:34 UTC
Created attachment 130129 [details]
images

lets consider the following code:

class MyBase {
public:

    MyBase(int a) {

    }
    virtual void test();
};

class MyDerived : public MyBase {
};

the MyDerived class needs a constructor that require a int argument.
but netbean doesn't suggest a thing or warnning that the code will get error in compilations. (not like in java)
Comment 1 Alexander Simon 2013-05-17 07:54:46 UTC
looks like enchantment.
Comment 2 Quality Engineering 2015-05-08 03:02:51 UTC
Integrated into 'main-silver', will be available in build *201505080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1f5553c3ec4b
User: Danila Sergeyev <danilasergeyev@netbeans.org>
Log: Bug 224779 - Netbean doesn't suggest any errors on derived classes fix
Comment 4 danilasergeyev 2015-05-14 13:33:25 UTC
Additional changes in fix, change set:
http://hg.netbeans.org/cnd-main/rev/52c788f30ef9
Comment 5 Quality Engineering 2015-05-30 10:05:43 UTC
Integrated into 'main-silver', will be available in build *201505300811* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/70d78badce38
User: Danila Sergeyev <danilasergeyev@netbeans.org>
Log: bug #224779 errors on derived classes: added recognition of deleted constructors, changed insertion point


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo